Bug 769372 - Second import subscriptions do not show up
Second import subscriptions do not show up
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Tom McKay
SAM QE List
: Triaged
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2011-12-20 11:32 EST by Bryan Kearney
Modified: 2012-04-26 20:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-26 20:21:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 3 Eric Sammons 2011-12-20 12:30:20 EST
This issue also appeared to occur when I upload a "new / updated" manifest to the default org. 

1. Content Managent->Choose File->Upload
2. Review, original manifest content should be accurate.
3. Navigate to subscription management/Distributors (via the portal) 
4. Select the distributor associated with the original manifest.
5. Add a subscription
6. Download manifest
7. Navigate to SAM->Content Management->Choose File (New Manifest)->Upload

Note the added subscriptions did not appear.
Comment 5 Tom McKay 2011-12-20 16:03:42 EST
commit 188b41664ed516b12c5d5c5068a6c2d2b131b384
Author: Tom McKay <thomasmckay@redhat.com>
Date:   Tue Dec 20 15:58:15 2011 -0500

    Bug 769372 - Second import subscriptions do not show up
    https://bugzilla.redhat.com/show_bug.cgi?id=769372
    + Problem was in providers_controller just getting the first subscription to check provider against; all subscriptions should have been checked.
    
    Bug 766694 - UI should show virtual child pools as "children" of the parent.
    https://bugzilla.redhat.com/show_bug.cgi?id=766694
    + Derived pools are no longer shown on the providers page; just the ones imported through the manifest.
Comment 6 Eric Sammons 2012-01-10 08:22:16 EST
This test failed against:

katello-httpd-ssl-key-pair-1.0-1.noarch
katello-headpin-0.1.122-2.el6.noarch
katello-cli-headpin-0.1.13-2.el6.noarch
katello-certs-tools-1.0.1-2.el6.noarch
katello-headpin-all-0.1.122-2.el6.noarch
katello-cli-common-0.1.32-2.el6.noarch
katello-configure-0.1.49-2.el6.noarch
katello-common-0.1.165-2.el6.noarch
katello-trusted-ssl-cert-1.0-1.noarch
katello-glue-candlepin-0.1.165-2.el6.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
Comment 7 Eric Sammons 2012-01-10 09:55:19 EST
# rpm -q candlepin
candlepin-0.5.8-1.el6.noarch
Comment 8 Tom McKay 2012-01-17 11:59:37 EST
Following instructions, correct subscriptions show up for both org1 and org2.

Eric, please let me know if you can still reproduce.
Comment 9 Eric Sammons 2012-01-18 09:26:41 EST
This appears to be addressed:

headpin> org list
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                                            Organization List

 Id   Name               Description                    
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 1    ACME_Corporation   ACME_Corporation Organization  
 2    QE_Org                                            
 12   Test_QE_Org           

headpin> product list --org ACME_Corporation
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                  Product List For Organization ACME_Corporation, Environment 'Locker'

 Id          Name                                                                                                          Provider Id   Provider Name  
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 RH0130734   Red Hat Enterprise Linux Server Disaster Recovery Standard 4 sockets Unlimited guests with Smart Management   1             Red Hat        
 71          Red Hat Enterprise Linux Workstation                                                                          1             Red Hat        
 83          Red Hat Enterprise Linux High Availability for RHEL Server                                                    1             Red Hat        
 RH0197181   Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest                                        1             Red Hat        
 90          Red Hat Enterprise Linux Resilient Storage for RHEL Server                                                    1             Red Hat        
 69          Red Hat Enterprise Linux Server                                                                               1             Red Hat        
 RH0197329   Red Hat Enterprise Linux Server Premium 1-2 sockets Unlimited guests                                          1             Red Hat        
 85          Red Hat Enterprise Linux Load Balancer for RHEL Server                                                        1             Red Hat        
 MCT0907     Red Hat Enterprise Linux AS Standard L3                                                                       1             Red Hat        
 68          Red Hat Enterprise Linux Desktop                                                                              1             Red Hat        
 RH0823221   Red Hat Enterprise Linux Desktop 50 pack Standard                                                             1             Red Hat        
 RH1149049   High-Availability 8 sockets                                                                                   1             Red Hat        
 RH1316844   Resilient Storage 8 sockets                                                                                   1             Red Hat        
 RH0958488   Red Hat Enterprise Linux Workstation Standard                                                                 1             Red Hat        


headpin> product list --org QE_Org
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                       Product List For Organization QE_Org, Environment 'Locker'

 Id          Name                                                                     Provider Id   Provider Name  
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 90          Red Hat Enterprise Linux Resilient Storage for RHEL Server               2             Red Hat        
 RH0197181   Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest   2             Red Hat        
 69          Red Hat Enterprise Linux Server                                          2             Red Hat        
 83          Red Hat Enterprise Linux High Availability for RHEL Server               2             Red Hat        
 RH1149049   High-Availability 8 sockets                                              2             Red Hat        
 RH1316844   Resilient Storage 8 sockets                                              2             Red Hat        

headpin> product list --org Test_QE_Org
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
                                                     Product List For Organization Test_QE_Org, Environment 'Locker'

 Id          Name                                                Provider Id   Provider Name  
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 68          Red Hat Enterprise Linux Desktop                    12            Red Hat        
 RH0823221   Red Hat Enterprise Linux Desktop 50 pack Standard   12            Red Hat        


VERIFIED

Note You need to log in before you can comment on or make changes to this bug.